#Import Modoules
import os, profile
import pygame, pygame.font, pygame.image, pygame.mixer, pygame.time, pygame.transform
from pygame.locals import *
import math
from random import *
from engine import *
from objects import *

import __main__


def end_level():
    ended = 1
    for o in world.objects:
        if o.__class__.__name__ == 'asteroid':
            ended = 0
            break

    return ended

def level_screen(background, level):
    screen.blit(background, (0, 0))
    text = world.resources['title_font'].render("LEVEL COMPLETE!",0,(250, 250, 250))
    screen.blit(text, (10, y_size/3))
    msg = world.resources['msg_font'].render("   Press any key to continue",0,(250, 250, 250))
    screen.blit(msg, (x_size/8, y_size/3*2))
    pygame.display.flip()
    
    while 1:
        event = pygame.event.poll()
        if event.type == QUIT or (event.type == KEYDOWN):
            break

def new_level(background,level):
    __main__.as_vel += level*10
    if world.level != 0:
        level_screen(background,level)
    world.reinit()
    for i in range(level + 3):
        aster = asteroid()
        aster.x =  randrange(x_size)/2
        aster.y =  randrange(y_size)/2
        if randrange(2):
            aster.x = randrange(2) * x_size  - x_size/2
        else:
            aster.y = randrange(2) * (y_size)  - y_size/2
        aster.dir = randrange(360)
        aster.vel_x = randrange(__main__.as_vel)-__main__.as_vel/2
        aster.vel_y = randrange(__main__.as_vel)-__main__.as_vel/2
        #aster.vel_x = aster.vel_y = 0
        world.add_object(aster)
